/* */

/* MQT Rexx Exec - demonstrate RXMQCL functions */

/* Register the interface with Rexx                      */
/*    This can be done with the Startup Exec if required */

rcc = RxFuncAdd('RXMQCLINIT','RXMQCL','RXMQCLINIT')
say 'rc=' rcc

/* Initialise the Interface, tracing the call */

RXMQCLTRACE = '*'
rcc= RXMQCLINIT()
say 'init rc=' rcc

/* Display the attributes of a Queue */

RXMQCLTRACE = ''
data.0 = 0
rcc = rxmqclc( 'RAH1', 'DISPLAY QUEUE(N1) ALL ', 'data.' )
say 'rcc=' rcc

/* Display the data with all the unprintables within */

say 'Start of native data'
if ( data.0 <> 0 ) then do i=1 to data.0
     say '<'data.i'>'
     end
say 'End of native data '

/* Remove all the unprintables */

say 'Start of cleaned data'
if ( data.0 <> 0 ) then do i=1 to data.0
     data.i = translate(data.i, ' ', xrange('00'x, '1f'x) )
     say  '{'data.i'}'
     end
say 'End of cleaned data'

/* Select Transmission Queues with default Persistance */

RXMQCLTRACE = ''
data.0 = 0
gotq.0 = 0
rcc = rxmqclc( 'RAH1', 'DISPLAY QUEUE(*) TYPE(QLOCAL) DEFPSIST USAGE', 'data.' )
say 'rcc=' rcc

say 'Selecting Persistent Transmission Queues'
if ( data.0 <> 0 ) then do i=1 to data.0
     data.i = translate(data.i, ' ', xrange('00'x, '1f'x) )
     parse var data.i . 'QUEUE('    q  ')' .
     parse var data.i . 'DEFPSIST(' dp ')' .
     parse var data.i . 'USAGE('    us ')' .
     if ( ( dp = 'YES') & ( us = 'XMITQ' ) ) then do
           j      = gotq.0
           j      = j + 1
           gotq.j = q
           gotq.0 = j
           end
     end

say 'Selected Queues are'
if ( gotq.0 <> 0 ) then do i=1 to gotq.0
     say gotq.i
     end
say 'End of Selected Queues'


/* Remove the Interface (this should not normally be done) */

RXMQCLTRACE = ''
rcc = RXMQCLTERM()
say 'Term RC=' rcc

/* End of Exec */
exit 0

/* End of MQT Exec */
